﻿$packageName    = 'intel-proset-drivers' 
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$unzipLocation  = "$toolsDir\unzippedfiles"
$bits           = Get-ProcessorBits
$url            = 'https://downloadmirror.intel.com/28876/a08/WiFi_21.20.0_Driver32_Win10.exe'
$checksum       = '55AAA2EA0E8D3520B0112754695668D0E045623D488A66DA49702F047BA637C3'
$url64          = 'https://downloadmirror.intel.com/28876/a08/WiFi_21.20.0_Driver64_Win10.exe'
$checksum64     = 'A5B9CA757BA67D99CBC7510381F3868050481295DD914565901787BD705E9A37'

# No need to check for hardware, drivers install even if an Intel PROSet/Wireless card is not found

New-Item $unzipLocation -type directory | out-null

$packageArgs = @{
  packageName    = $packageName
  unzipLocation  = $unzipLocation
  fileType       = 'ZIP' 
  url            = $url
  checksum       = $checksum
  checksumType   = 'sha256'
  url64          = $url64    
  checksum64     = $checksum64  
  checksumType64 = 'sha256'  
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  file           = "$unzipLocation\Setup.exe"
  silentArgs     = '-q -passive -norestart'
  validExitCodes = @(0)
  softwareName   = 'Intel® PROSet/Wireless Software'
}
 
Install-ChocolateyInstallPackage @packageArgs

Start-Sleep -s 10

Remove-Item $unzipLocation -recurse | out-null
